from typing import Dict, Final

from edge.webserver.sysconf.dgmod.rs.rs_main import MainConfBuilder
from edge.webserver.sysconf.dgmod.rs.rs_setupstore import SetupStoreConfBuilder
from edge.webserver.sysconf.dgmod.rs.uiconf import IUiConfProvider


class MvCameragUiConfProvider(IUiConfProvider):
    def __init__(self, uimod_id: str, uiconf: Dict) -> None:
        self._uimod_id: Final[str] = uimod_id
        self._uiconf: Final[Dict] = uiconf

    def setup_builders(self, main_builder: MainConfBuilder, ss_builder: SetupStoreConfBuilder) -> None:
        pri_jnode: Dict = self._uiconf['rw']
        vs_jnode: Dict = pri_jnode['videostream']

        main_builder.setup_stream__cam_fps(vs_jnode['fps'])
